> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shakesco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Request Status

> Verify if payment request was sent

<span style={{display:"none"}}>For the complete documentation index, see [llms.txt](/llms.txt).</span>

Check if a payment request has been sent to a user or business.

## Request Body

<ParamField body="delegate_address" type="string" required>
  User's Shakesco or Business card address
</ParamField>

<ParamField body="auto_address" type="string" required>
  Your Business Auto account address
</ParamField>

<ParamField body="network" type="string" required>
  * `1` = Ethereum - `137` = Polygon
</ParamField>

## Response

<ResponseField name="id" type="integer">
  Request ID
</ResponseField>

<ResponseField name="delegate_address" type="string">
  Checked address
</ResponseField>

<ResponseField name="requested" type="string">
  * `true` = Request sent - `false` = No request sent
</ResponseField>

<RequestExample>
  ```javascript Node.js theme={null}
  const response = await fetch("https://payments.shakesco.com/request_sent", {
    method: "POST",
    headers: {
      Authorization: `Bearer ${API_KEY}`,
      "Content-Type": "application/json",
    },
    body: JSON.stringify({
      delegate_address: "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
      auto_address: "0x309E7d835ccE6E74BC72A2E523fa7f79FFC0d413",
      network: "137",
    }),
  });

  const { requested } = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      "https://payments.shakesco.com/request_sent",
      headers={
          "Authorization": f"Bearer {API_KEY}",
          "Content-Type": "application/json"
      },
      json={
          "delegate_address": "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
          "auto_address": "0x309E7d835ccE6E74BC72A2E523fa7f79FFC0d413",
          "network": "137"
      }
  )

  data = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json Requested theme={null}
  {
    "id": 1,
    "delegate_address": "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
    "requested": "true"
  }
  ```

  ```json Not Requested theme={null}
  {
    "id": 1,
    "delegate_address": "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
    "requested": "false"
  }
  ```
</ResponseExample>
